| Home | Libraries | People | FAQ | More

##### basic_socket_streambuf::lowest_layer (1 of 2 overloads)

Inherited from basic_socket.

Get a reference to the lowest layer.

    lowest_layer_type & lowest_layer();

This function returns a reference to the lowest layer in a stack of layers. Since a `basic_socket` cannot contain any further layers, it simply returns a reference to itself.

###### Return Value

A reference to the lowest layer in the stack of layers. Ownership is not transferred to the caller.